# $Revision: 1.65 $, $Date: 2008/08/31 17:40:26 $
# TODO:
# - make it kdeextragears, not kdebluetooth-only
# - Killing gtk+ & xmms-libs deps?
%define		_beta	beta8
Summary:	KDE Bluetooth framework
Summary(pl.UTF-8):	Podstawowe środowisko KDE Bluetooth
Name:		kdebluetooth
Version:	1.0
Release:	0.%{_beta}.7
Epoch:		1
License:	GPL
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/kde-bluetooth/%{name}-%{version}_%{_beta}.tar.bz2
# Source0-md5:	0b6aebf7d236894fc442d74425b13386
Source1:	kde-settings-network-bluetooth.menu
Source2:	network-bluetooth.menu
Patch0:		kde-common-PLD.patch
Patch1:		%{name}-dun_and_fax_handler-desktopfiles.patch
Patch2:		%{name}-nolibsdp.patch
Patch3:		kde-ac260-lt.patch
Patch4:		kde-am.patch
Patch5:		%{name}-gcc.patch
Patch6:		%{name}-debian.patch
URL:		http://bluetooth.kmobiletools.org/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1.6.1
BuildRequires:	bluez-libs-devel >= 2.6-2
BuildRequires:	dbus-qt-devel
BuildRequires:	gettext-devel
BuildRequires:	kdelibs-devel
BuildRequires:	kdepim-devel
BuildRequires:	libmad-devel
BuildRequires:	libvorbis-devel
BuildRequires:	lockdev-devel
BuildRequires:	obexftp-devel
BuildRequires:	openobex-devel >= 1.3-2
BuildRequires:	pkgconfig
BuildRequires:	qt-devel >= 6:3.1
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	sed >= 4.0
BuildRequires:	xmms-devel
BuildRequires:	xorg-lib-libXrender-devel
Requires:	bluez-utils >= 3.11
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The KDE Bluetooth Framework is a set of tools built on top of Linux'
Bluetooth stack BlueZ. Its goal is to provide easy access to the most
common Bluetooth profiles and to make data exchange with Bluetooth
enabled phones and PDAs as straightforward as possible

%description -l pl.UTF-8
Projekt KDE Bluetooth jest zestawem narzędzi zbudowanych na górnej
warstwie stosu Bluetooth BlueZ. Jego celem jest dostarczenie łatwego
dostępu do większości profili Bluetooth oraz wymiany danych z
telefonami komórkowymi z Bluetooth oraz PDA tak bezpośrednio jak to
jest możliwe.

%package devel
Summary:	Header files for kdebluetooth libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek kdebluetooth
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	bluez-libs-devel
Requires:	kdelibs-devel
# when no baudboy.h interface
Requires:	lockdev-devel

%description devel
Header files for kdebluetooth libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek kdebluetooth.

%prep
%setup -q -n %{name}-%{version}_%{_beta}
%patch0 -p1
#%patch1 -p1
#%patch2 -p1
%patch3 -p1
#%patch4 -p1
%patch5 -p0
%patch6 -p1

%build
cp %{_datadir}/automake/config.sub admin
%{__make} -f admin/Makefile.common cvs

%configure \
	--%{!?debug:dis}%{?debug:en}able-debug \
	%{!?debug:--disable-rpath} \
	--with-qt-libraries=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

install -d $RPM_BUILD_ROOT%{_sysconfdir}/xdg/menus/applications-merged
install %{SOURCE1} %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/xdg/menus/applications-merged

cp $RPM_BUILD_ROOT%{_datadir}/desktop-directories/{kde-settings-,}network-bluetooth.directory

mv $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/dunhandler.desktop \
	$RPM_BUILD_ROOT%{_desktopdir}/kde
mv $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/faxhandler.desktop \
	$RPM_BUILD_ROOT%{_desktopdir}/kde

for f in $RPM_BUILD_ROOT%{_desktopdir}/kde/kcm_*.desktop; do
	sed -i 's/Categories=Qt;KDE;X-KDE-settings-network/&-bluetooth/' $f
done

for f in $RPM_BUILD_ROOT%{_desktopdir}/kde/kb*.desktop; do
	sed -i 's/Categories=.*/Categories=Qt;KDE;X-bluetooth;/' $f
done

sed -i 's/Categories=Qt;KDE;X-bluetooth;/&TrayIcon;/' \
	$RPM_BUILD_ROOT%{_desktopdir}/kde/kbluetooth.desktop

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README
%{_sysconfdir}/xdg/menus/applications-merged/*
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*
%{_libdir}/kde3/kcm_*.la
%attr(755,root,root) %{_libdir}/kde3/kcm_*.so
%{_libdir}/kde3/kio_*.la
%attr(755,root,root) %{_libdir}/kde3/kio_*.so
%dir %{_libdir}/kdebluetooth
%dir %{_libdir}/kdebluetooth/servers
%attr(755,root,root) %{_libdir}/kdebluetooth/servers/kbtobexsrv
%dir %{_datadir}/apps/kdebluetooth
%dir %{_datadir}/apps/kdebluetooth/dunhandler
%attr(755,root,root) %{_datadir}/apps/kdebluetooth/dunhandler/dunhandler
%dir %{_datadir}/apps/kdebluetooth/faxhandler
%attr(755,root,root) %{_datadir}/apps/kdebluetooth/faxhandler/faxhandler
%attr(755,root,root) %{_datadir}/apps/kdebluetooth/faxhandler/kbtfax
%{_datadir}/apps/kdebluetooth/eventsrc
%dir %{_datadir}/apps/kbtobexclient
%{_datadir}/apps/kbtobexclient/kbtobexclientui.rc
%{_datadir}/apps/konqueror/servicemenus/kbtobexclient_sendfile.desktop
%{_datadir}/apps/konqsidebartng/virtual_folders/services/*.desktop
%{_datadir}/applnk/.hidden/kioobex_start.desktop
%{_datadir}/autostart/kbluetooth.autostart.desktop
%{_datadir}/desktop-directories/*
%{_datadir}/mimelnk/bluetooth
%{_datadir}/services/*
%{_datadir}/servicetypes/*
%{_desktopdir}/kde/*.desktop
%{_iconsdir}/[!l]*/*/*/*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%{_libdir}/*.la
%dir %{_includedir}/libkbluetooth
%{_includedir}/libkbluetooth/*.h
#%{_includedir}/libkbluetooth/*.cpp
%dir %{_includedir}/qobex
%{_includedir}/qobex/*.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kdebluetooth.spec,v $
Revision 1.65  2008/08/31 17:40:26  arekm
- rel .7

Revision 1.64  2008/08/19 21:09:20  arekm
- rel .6; debian fixes

Revision 1.63  2008/08/19 20:55:17  arekm
- rel 5; fix build with gcc 4.3

Revision 1.62  2008/08/06 20:04:54  arekm
- rel .4

Revision 1.61  2008-05-03 21:29:44  cactus
- don't know what to do with cpp files in includes dir - temporary these files are disabled

Revision 1.60  2008-05-03 21:21:13  cactus
- added some missing files

Revision 1.59  2008-02-22 20:40:24  hawk
- oops! added missing dir

Revision 1.58  2008-02-22 20:34:18  hawk
- include server binary, now sending files to computer works properly
- release 2

Revision 1.57  2007-11-07 14:58:18  arvenil
- include headers into -devel subpackage
- adapter

Revision 1.56  2007/11/07 14:38:46  arvenil
- BR: dbus-qt-devel
- added htmldocs

Revision 1.55  2007/10/07 16:59:37  blekot
- up to 1.0-beta8

Revision 1.54  2007/07/08 14:52:43  blekot
- BR: obexftp-devel

Revision 1.53  2007/07/08 14:46:06  blekot
- cosmetics

Revision 1.52  2007/07/08 14:02:15  blekot
- Requires:     bluez-utils >= 3.11

Revision 1.51  2007/07/08 13:44:35  blekot
- starting with kdebluetooth-1.0-beta3
- build and works for me
- NFY patches (not all patches checked, only commented)
- works better with bluetooth phones

Revision 1.50  2007/05/28 16:39:13  glen
- new url

Revision 1.49  2007/05/06 12:49:01  sardzent
- release up to .3
- STBR

Revision 1.48  2007/04/09 01:26:36  shadzik
- mass attack: qt-devel epoch

Revision 1.47  2007/04/01 11:34:14  arekm
- rel .2; libirmcsynckonnector doesn't built with latest kdpeim changes

Revision 1.46  2007/02/13 08:06:37  glen
- tabs in preamble

Revision 1.45  2007/02/12 00:48:59  baggins
- converted to UTF-8

Revision 1.44  2006/10/23 23:21:12  glen
- added kde-common-PLD.patch; adapter

Revision 1.43  2006/10/16 19:23:38  arekm
- updated to beta2

Revision 1.42  2006/09/10 10:29:51  arekm
- rel .12; it builds now

Revision 1.41  2006/09/09 22:55:54  arekm
- rel .11

Revision 1.40  2006/08/27 11:27:08  arekm
- apply kde-ac260.patch patch

Revision 1.39  2006/08/27 10:37:34  arekm
- rebuild with new bluez-libs

Revision 1.38  2006/05/23 13:14:08  qboosh
- tab

Revision 1.37  2006/04/25 22:13:25  arekm
- rel 9; unknown url bluetooth:/  problem seems fixed now

Revision 1.36  2006/04/25 22:03:36  arekm
- add debian fixes

Revision 1.35  2006/04/25 16:13:31  arekm
- rel 8; build libirmcsynckonnector; fix gcc 4.1 build

Revision 1.34  2006/04/04 08:06:57  adgor
- One more semicolon

Revision 1.33  2006/03/30 06:47:50  arekm
- Th BR for X

Revision 1.32  2006/03/23 09:28:00  qboosh
- release .7

Revision 1.31  2006/03/23 09:27:39  qboosh
- added nolibsdp patch to avoid linking with libsdp when bluez-libs is recent enough
  (currently libsdp is mpeg4ip lib and has nothing to do with Bluetooth)

Revision 1.30  2006/03/21 14:20:15  adgor
- Fixed ... almost everything
- Added dun_and_fax_service-desktopfiles.patch
- Desktopfiles moved to Bluetooth submenus
- Updated TODO
- Release 6, STBR for Ac

Revision 1.29  2006/01/24 18:31:10  arekm
- rel 5; more icons

Revision 1.28  2006/01/13 20:11:39  arekm
- rel .4

Revision 1.27  2005/10/30 12:22:16  arekm
- rel .3

Revision 1.26  2005/06/25 20:26:17  blekot
- only hicolor icons

Revision 1.25  2005/06/01 01:26:25  ankry
- epoch fix in dep

Revision 1.24  2005/04/07 18:22:26  darekr
- _kdedocdir needs macros 1.129

Revision 1.23  2005/03/22 21:11:10  saq
- sorted BR

Revision 1.22  2005/03/22 21:06:01  pbern
- BR: xmms-devel

Revision 1.21  2005/03/22 12:13:57  migo
- typo in description

Revision 1.20  2005/03/21 21:03:21  qboosh
- unified, killed regression (missing dir)

Revision 1.19  2005/03/21 11:48:41  blekot
- cosmetics

Revision 1.18  2005/03/21 11:29:16  blekot
- builds

Revision 1.17  2005/03/21 09:41:48  blekot
- starting to kdebluetooth-1.0_beta1
- rel 0.1
- epoch 1 (last version 3.3.2 was a snapshot)
- patch0 is obsolete
- NFY!

Revision 1.16  2005/03/19 16:00:52  averne
- BR: kdelibs-devel

Revision 1.15  2005/03/05 20:25:50  qboosh
- finally fixing files, more devel deps
- pass --with-bluetooth-libraries to avoid -L/usr/lib on archs with lib64

Revision 1.14  2005/03/05 19:02:00  qboosh
- Categories bugfix

Revision 1.13  2005/03/05 18:07:08  ankry
- spaces -> tabs

Revision 1.12  2005/03/05 12:38:06  blekot
- vfolders completed
- %files cleanup
- rel 1
- work fine for me

Revision 1.11  2005/03/04 22:46:17  qboosh
- noticed some packaging bugs - requires build fixes

Revision 1.10  2005/03/04 21:26:14  blekot
- URL v2
- STBR (test)

Revision 1.9  2005/03/04 21:24:19  blekot
- description upgraded from homepage
- URL

Revision 1.8  2005/03/04 21:09:59  blekot
- small fix from glen

Revision 1.7  2005/03/04 21:08:03  blekot
- starting to adaptize vfolders in %files
- rel 0.2
- build

Revision 1.6  2005/03/03 16:19:58  blekot
- back to kdeextragear-3-3.3.2
- NFY (check vfolders)
- rel 0.1

Revision 1.5  2005/02/26 15:27:40  blekot
- snap sources upgraded
- still doesn't build
- NFY

Revision 1.4  2004/04/11 14:14:47  qboosh
- BR: bluez-libs-devel with nonempty libsdp

Revision 1.3  2004/04/11 10:57:59  qboosh
- some descriptions, missing dirs and notes ffu

Revision 1.2  2004/04/10 12:11:48  adasi
- a fixed one
- still lots to do
